nxt.util

## Enum BooleanExpression.SemanticWarningType

- java.lang.Object
- - java.lang.Enum<BooleanExpression.SemanticWarningType>
  - - nxt.util.BooleanExpression.SemanticWarningType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<BooleanExpression.SemanticWarningType>
  Enclosing class:
    BooleanExpression

      public static enum BooleanExpression.SemanticWarningType
      extends java.lang.Enum<BooleanExpression.SemanticWarningType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ABSORPTION_2_POSSIBLE`
    `CONJUNCTION_ALWAYS_FALSE`
    `DISJUNCTION_ALWAYS_TRUE`
    `DISTRIBUTIVITY_OF_OR_POSSIBLE`
    `DUPLICATE_LITERAL`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BooleanExpression.SemanticWarningType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static BooleanExpression.SemanticWarningType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DUPLICATE_LITERAL

          public static final BooleanExpression.SemanticWarningType DUPLICATE_LITERAL

    - #### CONJUNCTION_ALWAYS_FALSE

          public static final BooleanExpression.SemanticWarningType CONJUNCTION_ALWAYS_FALSE

    - #### ABSORPTION_2_POSSIBLE

          public static final BooleanExpression.SemanticWarningType ABSORPTION_2_POSSIBLE

    - #### DISJUNCTION_ALWAYS_TRUE

          public static final BooleanExpression.SemanticWarningType DISJUNCTION_ALWAYS_TRUE

    - #### DISTRIBUTIVITY_OF_OR_POSSIBLE

          public static final BooleanExpression.SemanticWarningType DISTRIBUTIVITY_OF_OR_POSSIBLE

  - ### Method Detail

    - #### values

          public static BooleanExpression.SemanticWarningType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BooleanExpression.SemanticWarningType c : BooleanExpression.SemanticWarningType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BooleanExpression.SemanticWarningType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null